<?php
require_once("db_connection.php");
include("JSON.php");

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
	$datos=$_POST['nombre'];
	$accion = $_POST['accion'];
	$cantidad=$_POST['cant'];
	$codigo=$_POST['prod'];
	$modulo=$_POST['modulo'];
	$usuario=$_POST['usu'];
	$rol=$_POST['rol'];
	$conng-> set_charset("utf8");

	if ($modulo=='producto' && $accion!=9 && $accion!=7){
		//echo $modulo;
		$idproducto=$_POST['idproducto'];
		$nomproducto=$_POST['nomproducto'];
		$vlrproducto=$_POST['vlrproducto'];
		$query = "insert into producto(idproducto,nomproducto,vlrproducto) values('".$idproducto."','".$nomproducto."','".$vlrproducto."')";
	 	$result=mysqli_query($conng, $query);
		if($result) {
	      echo "Ok";
		} else {
	      echo "Error: " . $query . "<br>" . mysqli_error($conng);
		}
		mysqli_close($conng);
	}
	if ($modulo=='ventas' && $accion!=9 && $accion!=7){
		//echo $modulo;
		$numero=$_POST['numero'];
		$fecha=$_POST['fecha'];
		$identidad=$_POST['identidad'];
		$nombre=$_POST['nombre'];
		$vendedor=$_POST['vendedor'];
		$celular=$_POST['celular'];
		$correo=$_POST['correo'];
		$comision=$_POST['comision'];
		$query = "insert into ventas(numero,fecha,idcliente,nomcliente,vendedor,celular,correo,comision) values('".$numero."','".$fecha."','".$identidad."','".$nombre."','".$vendedor."','".$celular."','".$correo."','".$comision."')";
	 	$result=mysqli_query($conng, $query);
		if($result) {
	      echo "Ok";
		} else {
	      echo "Error: " . $query . "<br>" . mysqli_error($conng);
		}
		mysqli_close($conng);
	}
	if ($modulo=='vendedor' && $accion!=9 && $accion!=7){
		//echo $modulo;
		$codigo=$_POST['codigo'];
		$nombre=$_POST['nombre'];
		$query = "insert into vendedor(codigo,nombre) values('".$codigo."','".$nombre."')";
	 	$result=mysqli_query($conng, $query);
		if($result) {
	      echo "Ok";
		} else {
	      echo "Error: " . $query . "<br>" . mysqli_error($conng);
		}
		mysqli_close($conng);
	}
	if ($modulo=='usuario' && $accion!=9 && $accion!=7){
		//echo $modulo;
		$usuario=$_POST['usuario'];
		$rol=$_POST['rol'];
		$clave=$_POST['clave'];
		$query = "insert into usuario(usuario,rol,clave) values('".$usuario."','".$rol."','".$clave."')";
	 	$result=mysqli_query($conng, $query);
		if($result) {
	      echo "Ok";
		} else {
	      echo "Error: " . $query . "<br>" . mysqli_error($conng);
		}
		mysqli_close($conng);
	}
	if ($accion==9){
		if($modulo=="ventas"){
			$query = "SELECT numero,fecha,idcliente,max(nomcliente) as nomcliente,sum(cantidad*valor) as valor_venta FROM vista_ventas group by numero,fecha,idcliente";
		}else{
			$query = "SELECT * FROM ".$modulo;
		}
		$result = mysqli_query($conng, $query);
		$json_array=array();
		// $user = mysqli_fetch_assoc($result);
		$nr= $result->num_rows;
		if($nr>=1){

			while($row=mysqli_fetch_assoc($result)) {
				$json_array[]=$row;
       	   	} mysqli_free_result($result);
			//$json_array='{"Datos":'.$json_array.'}';
			echo json_encode($json_array);
		}else{
			echo "ERROR";
		}
	}
	if ($accion==7){
		if($modulo=='producto'){
			$query = "SELECT idproducto as id,idproducto as codigo,nomproducto as nombre FROM ".$modulo;
		}
		if($modulo=='vendedor'){
			$query = "SELECT codigo as id,codigo as codigo,nombre FROM ".$modulo;
		}
		$result = mysqli_query($conng, $query);
		$json_array=array();
		// $user = mysqli_fetch_assoc($result);
		$nr= $result->num_rows;
		if($nr>=1){

			while($row=mysqli_fetch_assoc($result)) {
				$json_array[]=$row;
       	   	} mysqli_free_result($result);
			//$json_array='{"Datos":'.$json_array.'}';
			echo json_encode($json_array);
		}else{
			//echo "ERROR";
			echo $query;
		}
	}
	
	if ($accion==1){
		$numero=$_POST['numero'];
		$valor=$_POST['valor'];
		$query = "insert into tmpdet(codigo,cantidad,numero,valor) values('".$codigo."','".$cantidad."','".$numero."','".$valor."')";
	 	$result=mysqli_query($conng, $query);
		if($result) {
	      echo "Ok";
		} else {
	      echo "Error: " . $query . "<br>" . mysqli_error($conng);
		}
		mysqli_close($conng);
	}
	if ($accion==2){
		$numero=$_POST['numero'];
		$query = "SELECT * FROM tmpdet where numero='".$numero."'";
		$result = mysqli_query($conng, $query);
		$json_array=array();
		// $user = mysqli_fetch_assoc($result);
		$nr= $result->num_rows;
		if($nr>=1){

			while($row=mysqli_fetch_assoc($result)) {
				$json_array[]=$row;
       	   	} mysqli_free_result($result);
			//$json_array='{"Datos":'.$json_array.'}';
			echo json_encode($json_array);
		}else{
			echo "ERROR";
		}
	}
	if ($accion==3){//menu
		$query = "SELECT modulo,titulo,link FROM menu where estado!='Eliminado' " ;
		if($rol!="" and $rol!="admin"){
			$query = $query." and (rol='".$rol."' or rol='') ";
		}
		$query = $query." order by modulo limit 10";
		$result = mysqli_query($conng, $query);
		$json_array_m=array();
		$nr= $result->num_rows;
		if($nr>=1){
			while($row=mysqli_fetch_assoc($result)) {
				//$vdat=$row["nommod"];
				$json_array_m[]=$row;
       	   	} mysqli_free_result($result);
			
			echo json_encode($json_array_m);
		}else{
			echo "ERROR";
		}
		
	}
	
	if ($accion==0){
		$usuario=$_POST['usuario'];
		$clave=$_POST['clave'];
		$query = "SELECT rol FROM usuario where usuario='".$usuario."' and clave='".$clave."' ";
		$result = mysqli_query($conng, $query);
		$json_array=array();
		$nr= $result->num_rows;
		if($nr>=1){

			while($row=mysqli_fetch_assoc($result)) {
				$json_array[]=$row;
       	   	} mysqli_free_result($result);
			echo json_encode($json_array);
		}else{
			echo "ERROR";
		}
	}
	
}else{
	echo 'get';
}

function det_productos(){


}

?>